/**
 * @file sdcard.h
 *
 * SD-Card block device driver for RTEMS
 */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef SDCARD_H_
#define SDCARD_H_

#include <rtems.h>
#include <rtems/blkdev.h>

//
// Public Types
//

//
// Public Services
//

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief SD Card disk driver initialization entry point.
 */
rtems_device_driver sdcard_initialize(
 rtems_device_major_number major,
 rtems_device_minor_number minor,
 void *arg
);

/**
 * SD Card disk driver table entry.
 */
#define SDCARD_DRIVER_TABLE_ENTRY \
  { \
    .initialization_entry = sdcard_initialize, \
    RTEMS_GENERIC_BLOCK_DEVICE_DRIVER_ENTRIES \
  }

#ifdef __cplusplus
}
#endif

#endif /* SDCARD_H_ */
